Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
21.11.2018, 01:18:12

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 21086
  • Letzte: Pemfakt
Statistiken
  • Beiträge insgesamt: 557526
  • Themen insgesamt: 45114
  • Heute online: 374
  • Am meisten online: 992
  • (17.11.2018, 20:17:55)
Benutzer Online
Mitglieder: 5
Gäste: 300
Gesamt: 305

Autor Thema:  Pyhton 3 macht Ärger  (Gelesen 484 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Pyhton 3 macht Ärger
« am: 12.07.2018, 14:07:12 »
Hi,

leider kann ich Mint nicht mehr aktualisieren :(

Jemand eine Idee ?

Mfg
 

Re: Pyhton 3 macht Ärger
« Antwort #1 am: 12.07.2018, 14:33:37 »
Welcher Fehler kam zuerst? Der mittlere ist normal, wenn noch ein weiterer Prozess auf apt zugreift. Diesen zuvor beenden!

Re: Pyhton 3 macht Ärger
« Antwort #2 am: 12.07.2018, 15:20:07 »
Bild Nr.3, ich glaube es hat mit Hplip zu tun. Das habe ich für meinen HP Drucker installieren müssen.

« Letzte Änderung: 12.07.2018, 15:29:38 von Porco »

Re: Pyhton 3 macht Ärger
« Antwort #3 am: 12.07.2018, 15:25:18 »
Damit bist du nicht alleine. Wollte gerade die neuen Updates einspielen und bekam den selben Fehler. Hab hplip in Version 3.18.6 installiert und werde es nun mal entfernen, mal sehen ob's was bringt.

Re: Pyhton 3 macht Ärger
« Antwort #4 am: 12.07.2018, 15:31:05 »
 :( :( :(

Beim ausführen von

running python rtupdate hooks for python3.6...

kommt der Fehler!
« Letzte Änderung: 12.07.2018, 15:35:36 von Porco »

Re: Pyhton 3 macht Ärger
« Antwort #5 am: 12.07.2018, 15:36:01 »
Weder das deinstallieren von hplip, noch das ausführen von apt install -f und sudo dpkg --configure -a beheben den Fehler.
renalto@renalto-Inspiron-7720:~$ sudo dpkg --configure -a
[sudo] Passwort für renalto:
python3 (3.6.5-3ubuntu1) wird eingerichtet ...
running python rtupdate hooks for python3.6...
E: py3compile:183: cannot create directory /usr/share/hplip/ui5/__pycache__: FileNotFoundError(2, 'No such file or directory')
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aboutdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aboutdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aligndialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aligndialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/cleandialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/cleandialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/colorcaldialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/colorcaldialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/devicesetupdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/devicesetupdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/deviceuricombobox.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/devmgr5.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/devmgr5_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/devmgr_ext.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/fabgrouptable.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/fabnametable.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/fabwindow.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/fabwindow_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/faxsetupdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/faxsetupdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/filetable.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/firmwaredialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/firmwaredialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/infodialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/infodialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/linefeedcaldialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/linefeedcaldialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/loadpapergroupbox.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/makecopiesdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/makecopiesdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/mimetypesdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/mimetypesdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/nodevicesdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/nodevicesdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/plugindiagnose.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/plugindiagnose_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/plugindialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/plugindialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/pluginlicensedialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/pluginlicensedialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/pqdiagdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/pqdiagdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printernamecombobox.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printsettings_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printsettingsdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printsettingsdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printsettingstoolbox.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printtestpagedialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/printtestpagedialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/queuesconf.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/readonlyradiobutton.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/sendfaxdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/sendfaxdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/settingsdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/settingsdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/setupdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/setupdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/setupdialog_base5.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/systemtray.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/systrayframe.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/systrayframe_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/ui_utils.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/upgradedialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/upgradedialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/wifisetupdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/wifisetupdialog_base.py'
error running python rtupdate hook hplip-data
dpkg: Fehler beim Bearbeiten des Paketes python3 (--configure):
 Unterprozess installed python3 package post-installation script gab den Fehler-Ausgangsstatus 4 zurück
Fehler traten auf beim Bearbeiten von:
 python3

Re: Pyhton 3 macht Ärger
« Antwort #6 am: 12.07.2018, 15:42:46 »
Jep, der Fehler passiert wenn

running python rtupdate hooks for python3.6...

ausgeführt werden soll.

sudo apt-get update && sudo apt-get dist-upgrade
Ign:1 http://ftp.fau.de/mint/packages tara InRelease
OK:2 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic InRelease                                       
OK:3 http://ftp.fau.de/ubuntu bionic InRelease                                                                                                         
OK:4 http://ftp.fau.de/ubuntu bionic-updates InRelease                                                                                                                                       
OK:5 http://security.ubuntu.com/ubuntu bionic-security InRelease                                                                                                                             
OK:6 http://ftp.fau.de/ubuntu bionic-backports InRelease                                                                       
OK:7 http://archive.canonical.com/ubuntu bionic InRelease                                           
OK:8 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu bionic InRelease         
OK:9 http://ftp.fau.de/mint/packages tara Release                           
Paketlisten werden gelesen... Fertig                 
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Probieren Sie »apt --fix-broken install«, um dies zu korrigieren.
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 bleachbit : Hängt ab von: python ist aber nicht installiert oder
                            python-simplejson ist aber nicht installiert
 blueberry : Hängt ab von: python (>= 2.4) ist aber nicht installiert
             Hängt ab von: python (< 3) ist aber nicht installiert
 calibre : Hängt ab von: python2.7 ist aber nicht installiert
 calibre-bin : Hängt ab von: python2.7 ist aber nicht installiert
 gimp : Hängt ab von: python2.7 ist aber nicht installiert
 mint-common : Hängt ab von: python ist aber nicht installiert
 mintmenu : Hängt ab von: python (>= 2.4) ist aber nicht installiert
            Hängt ab von: python (< 3) ist aber nicht installiert
 mintstick : Hängt ab von: python ist aber nicht installiert
 nemo-data : Hängt ab von: python ist aber nicht installiert
 nvidia-prime-applet : Hängt ab von: python (>= 2.4) ist aber nicht installiert
                       Hängt ab von: python (< 3) ist aber nicht installiert
 python-apsw : Hängt ab von: python (< 2.8) ist aber nicht installiert
               Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-apt : Hängt ab von: python (< 2.8) ist aber nicht installiert
              Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-cairo : Hängt ab von: python (< 2.8) ist aber nicht installiert
                Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-configobj : Hängt ab von: python (>= 2.7) ist aber nicht installiert
                    Hängt ab von: python (< 2.8) ist aber nicht installiert
 python-crypto : Hängt ab von: python (< 2.8) ist aber nicht installiert
                 Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-cssselect : Hängt ab von: python ist aber nicht installiert
 python-dbus : Hängt ab von: python (< 2.8) ist aber nicht installiert
               Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-dev : Hängt ab von: python (= 2.7.15~rc1-1) ist aber nicht installiert
 python-gi : Hängt ab von: python (< 2.8) ist aber nicht installiert
             Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-glade2 : Hängt ab von: python (< 2.8) ist aber nicht installiert
                 Hängt ab von: python (>= 2.7) ist aber nicht installiert
 python-gobject-2 : Hängt ab von: python (< 2.8) ist aber nicht installiert
                    Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-gtk2 : Hängt ab von: python (< 2.8) ist aber nicht installiert
               Hängt ab von: python (>= 2.7) ist aber nicht installiert
 python-html5-parser : Hängt ab von: python (< 2.8) ist aber nicht installiert
                       Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-ldb : Hängt ab von: python (< 2.8) ist aber nicht installiert
              Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-lxml : Hängt ab von: python (< 2.8) ist aber nicht installiert
               Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-mate-menu : Hängt ab von: python (< 2.8) ist aber nicht installiert
                    Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-mechanize : Hängt ab von: python2.7 ist aber nicht installiert
                    Hängt ab von: python (>= 2.7.1-0ubuntu2) ist aber nicht installiert
                    Hängt ab von: python (< 2.8) ist aber nicht installiert
 python-msgpack : Hängt ab von: python (< 2.8) ist aber nicht installiert
                  Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-netifaces : Hängt ab von: python (< 2.8) ist aber nicht installiert
                    Hängt ab von: python (>= 2.7) ist aber nicht installiert
 python-notify : Hängt ab von: python (>= 2.7) ist aber nicht installiert
                 Hängt ab von: python (< 2.8) ist aber nicht installiert
 python-parted : Hängt ab von: python (< 2.8) ist aber nicht installiert
                 Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-pil : Hängt ab von: python (< 2.8) ist aber nicht installiert
              Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-pyqt5 : Hängt ab von: python (< 2.8) ist aber nicht installiert
                Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-pyqt5.qtsvg : Hängt ab von: python (< 2.8) ist aber nicht installiert
                      Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-pyqt5.qtwebkit : Hängt ab von: python (< 2.8) ist aber nicht installiert
                         Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-qt4 : Hängt ab von: python (< 2.8) ist aber nicht installiert
              Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-qt4-dbus : Hängt ab von: python (< 2.8) ist aber nicht installiert
                   Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-regex : Hängt ab von: python (< 2.8) ist aber nicht installiert
                Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-reportlab-accel : Hängt ab von: python (< 2.8) ist aber nicht installiert
                          Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-samba : Hängt ab von: python (< 2.8) ist aber nicht installiert
                Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-setproctitle : Hängt ab von: python (< 2.8) ist aber nicht installiert
                       Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-sip : Hängt ab von: python (< 2.8) ist aber nicht installiert
              Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-tdb : Hängt ab von: python (< 2.8) ist aber nicht installiert
              Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-wxgtk3.0 : Hängt ab von: python (< 2.8) ist aber nicht installiert
                   Hängt ab von: python (>= 2.7~) ist aber nicht installiert
 python-xdg : Hängt ab von: python (< 2.8) ist aber nicht installiert
              Hängt ab von: python (>= 2.7) ist aber nicht installiert
 python2.7-dev : Hängt ab von: python2.7 (= 2.7.15~rc1-1) ist aber nicht installiert
 samba-common-bin : Hängt ab von: python ist aber nicht installiert
 xed-common : Hängt ab von: python ist aber nicht installiert
 xplayer-plugins : Hängt ab von: python2.7 ist aber nicht installiert
E: Unerfüllte Abhängigkeiten. Versuchen Sie »apt --fix-broken install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).


« Letzte Änderung: 12.07.2018, 19:00:44 von Porco »

Re: Pyhton 3 macht Ärger
« Antwort #7 am: 13.07.2018, 10:18:55 »
Der Fehler bleibt, hoffe das das ein Fehler im System selbst ist und die Mint dies korrigieren.

Ich kriege Ihn jedenfalls nicht raus :(. Kann per Live Mint System mein System reparieren ?

« Letzte Änderung: 13.07.2018, 10:22:42 von Porco »

Re: Pyhton 3 macht Ärger
« Antwort #8 am: 13.07.2018, 11:44:40 »
So , neu installiert und direkt Timeshift eingerichtet!

Re: Pyhton 3 macht Ärger
« Antwort #9 am: 14.07.2018, 07:02:19 »
hatte auch Ärger mit Python3 und konnte keine Updates einspielen. Bei mir hat das deinstallieren von HPLIP geholfen.

sudo hp-uninstall
HPLIP funktioniert noch nicht mit LM19

Re: Pyhton 3 macht Ärger
« Antwort #10 am: 14.07.2018, 09:11:46 »
Danke @fanjo60
Ich hatte hplip gepurged und das hat den Fehler nicht behoben. Über hp-uninstall ging es dann.